function pageclick(id,reverse=false) {
  var x = getCookie(id);
  if (reverse == false){
	  if (x == "true") {
		writeCookie(id,"false");
		if (id == 'reversepost') {
			writeCookie('reversed','false');
		}
	  } else {
		writeCookie(id,"true");
	  }
  } else {
	  //console.log('reverse cookie activated');
	  if (x == "false") {
		writeCookie(id,"true");
	  } else {
		writeCookie(id,"false");
	  }
  }
  //location.reload(true);
  if (getCookie('reversepost') == "true") {
	sortImage = "fas fa-sort-numeric-up";
  } else {
	sortImage = "fas fa-sort-numeric-down";
  }

  document.getElementById('sortimage').setAttribute('class',sortImage);

  formatBox(thejson);
}

function resetclick() {
	//reset all display option cookies and reload page
	writeCookie( "qpostdelta", "false");
	writeCookie( "qreplydelta", "false");
	writeCookie( "scrollmenubar", "false");
	writeCookie( "imagesonly", "false");
	writeCookie( "showepoch", "false");
	writeCookie( "calc", "false");
	writeCookie( "sortbyqdropcalc", "false");
	writeCookie( "sortbyepochtscalc", "false");
	writeCookie( "thinkmirror", "false");
	writeCookie( "qcodes", "false");
	writeCookie( "forceest", "false");
	writeCookie( "exif", "false");
	writeCookie( "steg", "false");
	writeCookie( "dropsonly", "false");
	writeCookie( "repliesonly", "false");
	writeCookie( "boardlink1", "false");
	location.reload(true);
}

function optionclick(id) {

  var checkBox = document.getElementById(id);
  if (checkBox.checked == true) {
    writeCookie(id,"true");
  } else {
    writeCookie(id,"false");
  }
  //location.reload(true);
  formatBox(thejson);
}

function cookiehandle(id,state) {

  var checkBox = document.getElementById(id);
  if (state === true) {
    writeCookie(id,"true");
  } else {
    writeCookie(id,"false");
  }

}

function hideclick(id) {
  var func = document.querySelectorAll('.e'+id);
  var cook = getCookie(id);
  if (cook == "true") {
	  //we are turning things off
    func.forEach(node => {node.style.display = "none"});
	  cookiehandle(id, false);
    //check(id);
   
  } else if (cook == "false") {
	  //we are turning things on
    func.forEach(node => {node.style.display = "block"});
	  cookiehandle(id, true);
    //uncheck(id);

  } else  {
	  func.forEach(node => {node.style.display = "block"});
	  cookiehandle(id, true);
    //uncheck(id);
  }
}

function hideclickspan(id) {
  var func = document.querySelectorAll('.e'+id);
  var cook = getCookie(id);
  //are we changing states?
  if (cook == "true") {
	  //we are turning things off
	  func.forEach(node => {node.style.display = "none"});
	  cookiehandle(id, false);
  } else if (cook == "false") {
	  //we are turning things on
	  func.forEach(node => {node.style.display = "inline"});
	  cookiehandle(id, true);
  } else {
	  func.forEach(node => {node.style.display = "inline"});
	  cookiehandle(id, true);
  }
}

function hideclickclass(id) {
  let func = document.getElementsByClassName(id);
  var cook = getCookie(id);
  //are we changing states?
  n = func.length;
  //console.log('Cookie state pre: ' +cook);
  if (cook == "false") {
	  //we are turning things off
	  for (var i=0; i < n; i++) { var e = func[i]; e.style.display = 'none'; }
	  cookiehandle(id, true);
	  //console.log('Cookie state post1: true');
  } else if (cook == "true") {
	  //we are turning things on
	  for (var i=0; i < n; i++) { var e = func[i]; e.style.display = 'block'; }
	  cookiehandle(id, false);
	  //console.log('Cookie state post2: true');
  } else {
	  for (var i=0; i < n; i++) { var e = func[i]; e.style.display = 'none'; }
	  cookiehandle(id, true);
	  //console.log('Cookie state post3: true');
  }

}

function copyToClipboard(input) {
  var dummy = document.createElement('textarea');
  dummy.value = input;
  dummy.setAttribute('readonly', '');
  dummy.style.position = 'absolute';
  dummy.style.left = '-9999px';
  document.body.appendChild(dummy);
  dummy.select();
  dummy.setSelectionRange(0,99999);
  document.execCommand('copy');
  document.body.removeChild(dummy);
}

function reloadpage() {
  location.reload(true);
}

document.addEventListener("DOMContentLoaded", function() {
  var lazyImages = [].slice.call(document.querySelectorAll("img.lazy"));;

  if ("IntersectionObserver" in window && "IntersectionObserverEntry" in window && "intersectionRatio" in window.IntersectionObserverEntry.prototype) {
    let lazyImageObserver = new IntersectionObserver(function(entries, observer) {
      entries.forEach(function(entry) {
        if (entry.isIntersecting) {
          let lazyImage = entry.target;
          lazyImage.src = lazyImage.dataset.src;
          lazyImage.srcset = lazyImage.dataset.srcset;
          lazyImage.classList.remove("lazy");
          lazyImageObserver.unobserve(lazyImage);
        }
      });
    });

    lazyImages.forEach(function(lazyImage) {
      lazyImageObserver.observe(lazyImage);
    });
  }
});


function check(prop) {
	//console.log('checking: '+prop);
	let tc = document.getElementById(String(prop));
	//console.dir(tc);
	//console.log('current property: '+tc.checked);
	tc.checked = true;
	//console.log('changed property: '+tc.checked);
}

function uncheck(prop) {
	//console.log('unchecking: '+prop);
	let tc2 = document.getElementById(String(prop));
	//console.log('current property: '+tc2.checked);
	//console.dir(tc2);
	tc2.checked = false;
	//console.log('changed property: '+tc2.checked);
}

function setstatus(id,thetype){
   document.querySelectorAll('.e'+id).forEach(function(node) {
      node.style.display = thetype ;
  });
}

function setstatusclass(id,thetype){
	console.log('setstatusclass active: ' + id + ' ' + thetype);
   document.querySelectorAll('.'+id).forEach(function(node) {
      node.style.display = thetype ;
  });
}

function dCheck() {
	//check if a cookie exists
	var answer = getCookie("qpostdelta");
	var answer2 = getCookie("qreplydelta");
	var answer5 = getCookie("imagesonly");
	var answer7 = getCookie("showepoch");
	var answer8 = getCookie("calc");

	if (answer == "true") {
	  //setClass(text,"block");
		  check("qpostdelta");
		  setstatus("qpostdelta","block");
	} else {
		  //setClass(text,"none");
	}

	if (answer2 == "true") {
		  //setClass(text2,"block");
	  check("qreplydelta");
		  setstatus("qreplydelta","block");
	} else {
		  //setClass(text2,"none");
	}

  if (answer5 == "true") {
    //setClass(text2,"block");
    check("imagesonly");
  } else {
    //setClass(text2,"none");
  }

  if (answer7 == "true") {
    check("showepoch");
    setstatus("showepoch","inline");
  } else {
  }

  if (answer8 == "true") {
    check("calc");
    setstatus("calc","inline");
  } else {
  }

	if (getCookie("light") == "true") {
	check("light");
	} else { }

	if (getCookie("exif") == "true") {
	check("exif");
	setstatus("exif","block");
	} else {
	//setClass(text2,"none");
	}

	if (getCookie("steg") == "true") {
	check("steg");
	setstatus("steg","block");
	} else {
	//setClass(text2,"none");
	}

	if (getCookie("dropsonly") == "true") {
	check("dropsonly");
	} else {
	//setClass(text2,"none");
	}

	if (getCookie("repliesonly") == "true") {
	check("repliesonly");
	} else {
	//setClass(text2,"none");
	}

	if (getCookie("showqclockinfo") == "true") {

		check("showqclockinfo");
		setstatusclass('eshowqclockinfo','inline');
		} else {
		//setClass(text2,"none");
	}

}

dCheck();